Last Comment Bug 362868 - Branch builds on modern linux will use system cairo unintentionally
: Branch builds on modern linux will use system cairo unintentionally
Status: RESOLVED FIXED
: fixed1.8.0.10, fixed1.8.1.2
Product: Core Graveyard
Classification: Graveyard
Component: GFX (show other bugs)
: 1.8 Branch
: x86 Linux
: -- normal (vote)
: ---
Assigned To: tor
: Hixie (not reading bugmail)
Mentors:
http://www.w3.org/Graphics/SVG/Test/2...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 11:51 PST by tor
Modified: 2009-01-22 10:17 PST (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
rename cairo (33.81 KB, patch)
2006-12-05 11:52 PST, tor
vladimir: review+
jaymoz: approval1.8.1.2+
jaymoz: approval1.8.0.10+
Details | Diff | Splinter Review
FF1509 TestURL Screenshot (119.06 KB, image/png)
2007-02-09 17:07 PST, Tony Chung [:tchung]
no flags Details
FF1510 TestURL Screenshot (116.90 KB, image/png)
2007-02-09 17:07 PST, Tony Chung [:tchung]
no flags Details
FF2001 TestURL Screenshot (131.21 KB, image/png)
2007-02-09 17:08 PST, Tony Chung [:tchung]
no flags Details
FF2002 TestURL Screenshot (108.38 KB, image/png)
2007-02-09 17:08 PST, Tony Chung [:tchung]
no flags Details

Description tor 2006-12-05 11:51:21 PST
On a modern linux system, the linker seems to use cairo symbols in the system libcairo (already loaded due to gtk dependence) instead of those in libmozcairo.  As the API was still somewhat in flux at the time we took a snapshot of cairo for the branch, this causes some odd behavior.  One example I know of is the pad mode for gradients, illustrated by the test URL.

The trunk renames the cairo and libpixman symbols to avoid this, but the change was never ported to the branch.
Comment 1 tor 2006-12-05 11:52:06 PST
Created attachment 247565 [details] [diff] [review]
rename cairo
Comment 2 Vladimir Vukicevic [:vlad] [:vladv] 2006-12-21 12:47:04 PST
Comment on attachment 247565 [details] [diff] [review]
rename cairo

This should be fine and low-risk; I assume you re-ran the awk thing to regenerate the remap, since it's an older version of cairo on the branch?
Comment 3 tor 2006-12-21 16:46:29 PST
It's actually a new awk script - the older cairo we're using on the branch does have api tags like the current one.
Comment 4 Jay Patel [:jay] 2006-12-29 14:31:04 PST
Comment on attachment 247565 [details] [diff] [review]
rename cairo

Approved for both branches, a=jay for drivers.
Comment 5 tor 2007-01-02 13:09:18 PST
Checked in on MOZILLA_1_8_BRANCH.
Comment 6 tor 2007-01-02 13:30:52 PST
Checked in on MOZILLA_1_8_0_BRANCH.
Comment 7 Tony Chung [:tchung] 2007-02-09 17:06:19 PST
Hi T Rowley,
I was comparing the 1_8 and 1_8_1 branches on Fedora 6, and the test URL's seem exactly identical.  There doesnt seem to be any "odd behavior" from the screenshots that i took of the pad mode.  Can you elaborate more on what exactly needs to be tested to verify your patch?

The builds i used are:
FF 2.0.0.1: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.1) Gecko/20061208 Firefox/2.0.0.1

FF 2.0.0.2 RC1: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.2) Gecko/20070208 Firefox/2.0.0.2

FF 1.5.0.9: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20061206 Firefox/1.5.0.9

FF1.5.0.10 RC1: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.10) Gecko/20070208 Firefox/1.5.0.10

Screenshots are attached.  

If you can verify the patch easily on the 1_8 branch, please feel free to and comment back in this bug by changing the keywords to "verified1.8.1.2, verified1.8.0.10"
Comment 8 Tony Chung [:tchung] 2007-02-09 17:07:16 PST
Created attachment 254600 [details]
FF1509 TestURL Screenshot
Comment 9 Tony Chung [:tchung] 2007-02-09 17:07:39 PST
Created attachment 254601 [details]
FF1510 TestURL Screenshot
Comment 10 Tony Chung [:tchung] 2007-02-09 17:08:08 PST
Created attachment 254602 [details]
FF2001 TestURL Screenshot
Comment 11 Tony Chung [:tchung] 2007-02-09 17:08:32 PST
Created attachment 254603 [details]
FF2002 TestURL Screenshot

Note You need to log in before you can comment on or make changes to this bug.